unit docoLib;

interface

//uses
//const
//type
//function
function ABSI(value : integer) : integer;
function ABSF(value : double) : double;
function CEIL(value : double) : double;
function FLOOR(value : double) : double;        
function SIGN(value : double) : double;
//procedure

implementation

function ABSI(value : integer) : integer;
begin
  Result := trunc(abs(value));
end;

function ABSF(value : double) : double;
begin
  Result := abs(value);
end;

function CEIL(value : double) : double;
begin
  Result := 1.0*Round(value);
end;

function FLOOR(value : double) : double;
begin
  Result := Int(value);
end;

function SIGN(value : double) : double;
begin
  if(value > 0) then Result := 1;
  if(value = 0) then Result := 0;
  if(value < 0) then Result := -1;
end;


end.
